%global momorel 1

# Pass --with externalfuse to compile against system fuse lib
# Default is internal fuse-lite.
%define with_externalfuse %{?_with_externalfuse:1}%{!?_with_externalfuse:0}

Name:		ntfs-3g
Summary: 	Linux NTFS userspace driver 
Version:	2011.1.15
Release:	%{momorel}m%{?dist}
License:	GPLv2+
Group:		System Environment/Base
Source0:	http://tuxera.com/opensource/ntfs-3g-%{version}.tgz
NoSource:	0
Source1:	20-ntfs-config-write-policy.fdi
URL:		http://www.ntfs-3g.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%if %{with_externalfuse}
BuildRequires:	fuse-devel
Requires:	fuse
%endif
Provides:	ntfsmount
Obsoletes:	ntfsmount

%description
The ntfs-3g driver is an open source, GPL licensed, third generation 
Linux NTFS driver. It provides full read-write access to NTFS, excluding 
access to encrypted files, writing compressed files, changing file 
ownership, access right.

Technically it's based on and a major improvement to the third 
generation Linux NTFS driver, ntfsmount. The improvements include 
functionality, quality and performance enhancements.

ntfs-3g features are being merged to ntfsmount. In the meanwhile, 
ntfs-3g is currently the only free, as in either speech or beer, NTFS 
driver for Linux that supports unlimited file creation and deletion.

%package devel
Summary:	Development files and libraries for ntfs-3g
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel
Headers and libraries for developing applications that use ntfs-3g 
functionality.

%prep
%setup -q

%build
CFLAGS="%{optflags} -D_FILE_OFFSET_BITS=64"
%configure \
	--disable-static \
	--disable-ldconfig \
%if 0%{?_with_externalfuse:1}
	--with-fuse=external \
%endif
	--exec-prefix=/ \
	--bindir=/bin \
	--sbindir=/sbin \
	--libdir=/%{_lib}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install transform='s,x,x,'
rm -rf $RPM_BUILD_ROOT/%{_lib}/*.la

# make the symlink an actual copy to avoid confusion
rm -rf $RPM_BUILD_ROOT/sbin/mount.ntfs-3g
cp -a $RPM_BUILD_ROOT/bin/ntfs-3g $RPM_BUILD_ROOT/sbin/mount.ntfs-3g

# Actually make some symlinks for simplicity...
# ... since we're obsoleting ntfsprogs-fuse
cd $RPM_BUILD_ROOT/bin
ln -s ntfs-3g ntfsmount
cd $RPM_BUILD_ROOT/sbin
ln -s mount.ntfs-3g mount.ntfs-fuse
# And since there is no other package in Fedora that provides an ntfs 
# mount...
ln -s mount.ntfs-3g mount.ntfs

# Compat symlinks
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cd $RPM_BUILD_ROOT%{_bindir}
ln -s /bin/ntfs-3g ntfs-3g
ln -s /bin/ntfsmount ntfsmount
ln -s /bin/ntfs-3g.probe ntfs-3g.probe
ln -s /bin/ntfs-3g.secaudit ntfs-3g.secaudit
ln -s /bin/ntfs-3g.usermap ntfs-3g.usermap

# Put the .pc file in the right place.
mkdir -p $RPM_BUILD_ROOT%{_libdir}/pkgconfig/
mv $RPM_BUILD_ROOT/%{_lib}/pkgconfig/libntfs-3g.pc $RPM_BUILD_ROOT%{_libdir}/pkgconfig/

# We get this on our own, thanks.
rm -rf $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/README

mkdir -p $RPM_BUILD_ROOT%{_datadir}/hal/fdi/policy/10osvendor/
cp -a %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/hal/fdi/policy/10osvendor/

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING CREDITS NEWS README
/sbin/mount.ntfs
%attr(754,root,root) /sbin/mount.ntfs-3g
/sbin/mount.ntfs-fuse
/sbin/mount.lowntfs-3g
/bin/lowntfs-3g
/bin/ntfs-3g
/bin/ntfsmount
/bin/ntfs-3g.probe
/bin/ntfs-3g.secaudit
/bin/ntfs-3g.usermap
%{_bindir}/ntfs-3g
%{_bindir}/ntfsmount
%{_bindir}/ntfs-3g.probe
%{_bindir}/ntfs-3g.secaudit
%{_bindir}/ntfs-3g.usermap
/%{_lib}/libntfs-3g.so.*
%{_mandir}/man8/*
%{_datadir}/hal/fdi/policy/10osvendor/20-ntfs-config-write-policy.fdi

%files devel
%defattr(-,root,root,-)
%{_includedir}/ntfs-3g/
/%{_lib}/libntfs-3g.so
%{_libdir}/pkgconfig/libntfs-3g.pc

%changelog
* Sat Apr  9 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (2011.1.15-1m)
- update 2010.1.15

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2010.5.22-3m)
- rebuild for new GCC 4.5

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2010.5.22-2m)
- full rebuild for mo7 release

* Thu Jul  8 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (2010.5.22-1m)
- update 2010.5.22

* Mon Apr 12 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2010.3.7-1m)
- update 2010.3.7

* Thu Jan 28 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (2010.1.16-1m)
- update 2010.1.16

* Mon Dec  7 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (2009.11.12-1m)
- update 2009.11.12

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2009.4.4-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sun Apr 19 2009 Masahiro Takahata <takahata@momonga-linux.org>
- (2009.4.4-1m)
- update 2009.4.4
- sync Fedora

* Fri Feb 20 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (2009.2.1-1m)
- update 2009.2.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.5130-2m)
- rebuild against rpm-4.6

* Sat Dec 13 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.5130-1m)
- update 1.5130

* Tue Oct 14 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.5012-1m)
- update 1.5012

* Thu Sep 11 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.2812-1m)
- update 1.2812

* Mon Jul 14 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2712-2m)
- Provides and Obsoletes: ntfsmount

* Mon Jul 14 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.2712-1m)
- update 1.2712

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2310-2m)
- rebuild against gcc43

* Sun Mar 30 2008 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.2310-1m)
- up to 1.2310

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.1120-2m)
- %%NoSource -> NoSource

* Sun Dec 16 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.1120-1m)
- update 1.1120

* Thu Jun  7 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.516-2m)
- fix duplicate files

* Thu Jun  7 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.516-1m)
- update to 1.516 (sync with FC-devel)

* Fri Feb 23 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.0-1m)
- initial commit

